Package org.eclipse.ui.views.markers.internal

# Class MarkerTypesModel

java.lang.Object
org.eclipse.ui.views.markers.internal.MarkerTypesModel

public class MarkerTypesModel extends Object
Maintains a model of all known marker types. Accessed statically as the list does not change frequently.

## Method Summary

Modifier and Type
Method
Description
`static MarkerTypesModel`
`getInstance()`
Return the singleton implementation.
`MarkerType`
`getType(String id)`
`MarkerType[]`
`getTypes()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getInstance

public static MarkerTypesModel getInstance()
Return the singleton implementation.

Returns:
  MarkerTypesModel

### getType

public MarkerType getType(String id)

Returns:
  the marker type with the given id, or `null` if there is no such marker type.

### getTypes

public MarkerType[] getTypes()

Returns:
  all known marker types, never null.